• Basalt hittar sårbarhet i McAfee ePolicy Orchestrator vid penetrationstest

    22 Maj 2017
  • Inom ett penetrationstestuppdrag för en kund har Basalt upptäckt sårbarheten CVE-2017-3980 i programvaran ePolicy Orchestrator. McAfee har publicerat i säkerhetsbulletin SB10196 med information och rättningar. McAfee ePolicy Orchestrator är en skalbar centraliserad säkerhetshanteringsprogramvara som effektiviserar hanteringen av säkerhet för företag. Mjukvaran hanterar bland annat antivirus på klienter och används i mest Enterprisemiljöer.

    McAfee EPO används av cirka 30.000 kunder och hanterar cirka 60 miljoner noder enligt McAfee själva. (https://www.mcafee.com/in/resources/data-sheets/ds-epolicy-orchestrator.pdf).

    Sårbarheten CVE-2017-3980 som Basalt har hittat är av typen Directory Traversal vilket innebär att det är möjligt för en angripare att placera filer av godtycklig art var som helst i filsystemet på servern där EPO är installerat.

    Sårbarheten kategoriseras som allvarlig med CVSS v3 poäng 7,2 (hög).

    Hypotetisk skulle denna sårbarhet kunna utnyttjas av en angripare för att ta över den fysiska eller virtuella server där EPO är installerad. Om detta skulle hända har angriparen eventuellt möjlighet att förbigå många av systemets och organisationens säkerhetsfunktioner. Med andra ord, angriparen kan ta över hela eller stora delar av IT-miljön.

    För mer information se: https://kc.mcafee.com/corporate/index?page=content&id=SB10196.

    Basalt och McAfee rekommenderar alla användare att installera de Hotfix som har publicerats av McAfee.

    Basalt jobbar med informations- och IT-säkerhet. Penetrationstest är en del av vårt erbjudande, och sårbarheter av denna typ visar att även programvara från större leverantörer, till och med av säkerhetsprogram, kan innehålla sårbarheter. Vill du veta hur du bygger ett system där flera lager av säkerhet samverkar för att minska effekten av en sårbarhet i en komponent? Kontakta oss!